# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

%global barename private

Name:               nodejs-private
Version:            0.1.6
Release:            1%{?dist}
Summary:            Utility for associating truly private state with any JavaScript object

License:            MIT
URL:                https://www.npmjs.org/package/private
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
A general-purpose utility for associating truly private state with any
JavaScript object.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/private
cp -pr package.json private.js \
    %{buildroot}%{nodejs_sitelib}/private

%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
node test/run.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/private/

%changelog
* Thu Jun 09 2016 Piotr Popieluch <piotr1212@gmail.com> - - 0.1.6-1
- Update to 0.1.6

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.1.5-1
- Initial packaging for Fedora.
